extends ../_docs-template

block vars
  - var activeLink = 'svelte';
  - var title = 'Virtual List Svelte Component | Framework7 Svelte Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-svelte
  .docs-content
    .motion-docs-page-title
      h1 Virtual List Svelte Component
      script(src="/js/motion/virtuallist.js")
      f7-motion-virtuallist(motion)

    p Virtual List is not a separate Svelte component, but just a particular case of using <a href="list-view.html">&lt;List&gt;</a>, <a href="list-item.html">&lt;ListItem&gt;</a> Svelte components and special Framework7's <a href="../docs/virtual-list.html">Virtual List</a> component.

    h2 Virtual List Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;List&gt; properties
        tr
          td virtualList
          td boolean
          td false
          td Enables Virtual List
        tr
          td virtualListParams
          td object
          td
          td Object with <a href="../docs/virtual-list.html#virtual-list-parameters">Virtual List Parameters</a>

    h2 Virtual List Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;List&gt; events
        tr
          td virtualItemBeforeInsert
          td Event will be triggered before item will be added to virtual document fragment
        tr
          td virtualItemsBeforeInsert
          td Event will be triggered after current DOM list will be removed and before new document will be inserted
        tr
          td virtualItemsAfterInsert
          td Event will be triggered after new document fragment with items inserted
        tr
          td virtualBeforeClear
          td Event will be triggered before current DOM list will be removed and replaced with new document fragment

    h2 Access To Virtual List Instance

    p You can access Virtual List initialized instance by calling `.virtualListInstance` method of `<ListItem>` component.
    ```svelte
      <List virtualList bind:this={component} ... />

      <script>
        //
        let component;

        // to get instance in some method
        const vlInstance = component.virtualListInstance();
      </script>
    ```

    h2 Examples
    p Here is the full page example with Virtual List and Searchbar to search through Virtual List items:
    +examplePreview('svelte', 'virtual-list.svelte', 'virtual-list')
